Subject: bug#56418: Add duplicate-dwim [PATCH]

From: Robert Pluim <[email-masked]>
Date: Tue, 16 Aug 2022 13:08:08 +0200

>>>>> On Thu, 4 Aug 2022 20:43:33 +0200, Mattias Engdegård <[email-masked]> said:

    Mattias> 4 aug. 2022 kl. 06.01 skrev Richard Stallman <[email-masked]>:
    >> I suggest we define `duplicate-lines' with an option to control
    >> whether it is region-sensitive, so that people can try it both ways
    >> and tell us which way they like better.

    Mattias> I wouldn't mind but it's not a change I can make unilaterally. The
    Mattias> present solution did not require changes to `duplicate-line`.

Not everything needs an option to control it. I want duplicate-line to
simply duplicate a line. Others donʼt, they want it to obey the
region. We can coexist peacefully without forcing anybody to configure
anything, and we can each have whatever binding we prefer (I donʼt
think this should be bound to a key by default).

Robert
--